#!/bin/sh

auto_ssh_login()
{
        SSH_DIR=/root/.ssh
        RSAPUB_PATH=$SSH_DIR/id_rsa.pub

        rm -f $SSH_DIR/*
        ssh-keygen -t rsa -f /root/.ssh/id_rsa -P "" >/dev/null 2>&1

        while [ $# -gt 0 ]; do
                CLIENT=$1; shift

                if [ $CLIENT != none ]
                then
                        echo "prepare $CLIENT ssh auto login:"
                        ssh root@$CLIENT "mkdir -p .ssh"
                        scp $RSAPUB_PATH root@$CLIENT:~/.ssh/authorized_keys
                fi
        done
}

prepare_network()
{
	tunctl -t tap0
	tunctl -t tap1
	brctl addif virbr0 tap0
	brctl addif virbr0 tap1
	ifconfig tap0 0.0.0.0 up
	ifconfig tap1 0.0.0.0 up
}

wait_boot()
{
	for((;1;)) {
		ping -c 1 "$1" >/dev/null 2>&1
		if [ $? -ne 0 ]; then
			echo "guest '${CLIENT}' is booting now..."
		else
			break
		fi
		sleep 2
	}

}
